%{?!python:%define python python}
%{?!pybasever:%{expand:%%define pybasever %(%{__python} -c "import sys ; print sys.version[:3]")}}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define origname TwistedMail

Name:           %{python}-twisted-mail
Version:        0.3.0
Release:        1%{?dist}
Summary:        A Twisted Mail library, server and client

Group:          Development/Libraries
License:        MIT
URL:            http://www.twistedmatrix.com
Source0:        http://tmrc.mit.edu/mirror/twisted/Mail/0.3/TwistedMail-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  %{python}-twisted-core >= 2.4.0

# for FC3 and earlier
%if "%{pybasever}" < "2.4"
Requires:       python(abi) = %{pybasever}
%endif

Requires:       %{python}-twisted-core
Requires:       %{python}-twisted-names

# a noarch-turned-arch package should not have debuginfo
%define debug_package %{nil}

%description
Twisted is an event-based framework for internet applications.

Twisted Mail contains high-level, efficient protocol implementations
for both clients and servers of SMTP, POP3, and IMAP4. Additionally,
it contains an "out of the box" combination SMTP/POP3 virtual-hosting
mail server. Also included is a read/write Maildir implementation and
a basic Mail Exchange calculator.

%prep
%setup -n %{origname}-%{version} -q

%build

%install
rm -rf $RPM_BUILD_ROOT
# this is a pure python package, but extending the twisted namespace from
# python-twisted-core, which is arch-specific, so it needs to go in sitearch
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT --install-purelib %{python_sitearch}

# Man pages
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
cp -a doc/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/
rm -rf doc/man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README doc/*
%{_mandir}/man1/*
%{_bindir}/mailmail

%dir %{python_sitearch}/twisted/mail/
%{python_sitearch}/twisted/mail/*.py
%{python_sitearch}/twisted/mail/*.pyc
%ghost %{python_sitearch}/twisted/mail/*.pyo

%dir %{python_sitearch}/twisted/mail/scripts/
%{python_sitearch}/twisted/mail/scripts/*.py
%{python_sitearch}/twisted/mail/scripts/*.pyc
%ghost %{python_sitearch}/twisted/mail/scripts/*.pyo

%dir %{python_sitearch}/twisted/mail/test/
%{python_sitearch}/twisted/mail/test/*.py
%{python_sitearch}/twisted/mail/test/*.pyc
%ghost %{python_sitearch}/twisted/mail/test/*.pyo
%{python_sitearch}/twisted/mail/test/process.alias.sh
%{python_sitearch}/twisted/mail/test/rfc822.message

%{python_sitearch}/twisted/plugins/twisted_mail.py
%{python_sitearch}/twisted/plugins/twisted_mail.pyc
%ghost %{python_sitearch}/twisted/plugins/twisted_mail.pyo

%changelog
* Wed Jun 07 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.3.0-1
- new release
- remove noarch

* Tue Aug 23 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-2
- disttag

* Fri Mar 25 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-1
- final release

* Wed Mar 16 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-0.1.a3
- upstream release

* Sat Mar 12 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-0.1.a2
- prerelease; FE versioning

* Mon Feb 07 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-1
- prep for split

